“Protecting our users’ information and privacy is extremely important to us. As a cloud-based security service, we are fully committed to complying with the PCI Data Security Standards (PCI DSS) requirements. That is why Sucuri disabled support for TLS version 1.0 and 1.” Read more at Sucuri Security >>

Brought to you by Sucuri Security - by Daniel Cid